export interface WalletStorageConfig {
    url: string;
    wallet_scheme: WalletScheme;
    path?: string;
}
export interface WalletStorageCredentials {
    account: string;
    password: string;
    admin_account: string;
    admin_password: string;
}
export declare enum WalletScheme {
    DatabasePerWallet = "DatabasePerWallet",
    MultiWalletSingleTable = "MultiWalletSingleTable",
    MultiWalletSingleTableSharedPool = "MultiWalletSingleTableSharedPool"
}
export interface IndyPostgresStorageConfig {
    type: 'postgres_storage';
    config: WalletStorageConfig;
    credentials: WalletStorageCredentials;
}
export declare function loadPostgresPlugin(config: WalletStorageConfig, credentials: WalletStorageCredentials): void;
